# Class FlowFluid

Namespace
  adas_core.Domain.Models.Observations

Assembly
  adas-core.Domain.dll

Represents a double-precision drug value that describes the flow of a fluid for the specified PumpElement.

    public class FlowFluid : DrugDoubleValue

Inheritance
  object
  DrugValue
  DrugDoubleValue
  FlowFluid

Inherited Members
  DrugDoubleValue.Value
  DrugValue.Id
  DrugValue.Text
  DrugValue.Units
  DrugValue.Time
  DrugValue.CodingSystem
  DrugValue.Result
  DrugValue.Copy(DrugValue)
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### FlowFluid(PumpElement)

Represents a double-precision drug value that describes the flow of a fluid for the specified PumpElement.

    public FlowFluid(PumpElement pumpElement)

#### Parameters

`pumpElement` PumpElement